%% SIDLOC - Test Cases Tables
%% Copyright (C) 2022 Libre Space Foundation
%%
%% This work is licensed under a
%% Creative Commons Attribution-ShareAlike 4.0 International License.
%%
%% You should have received a copy of the license along with this
%% work.  If not, see <http://creativecommons.org/licenses/by-sa/4.0/>.

\providecommand{\tightlist}{
\setlength{\itemsep}{0pt}\setlength{\parskip}{0pt}}

\newcommand{\TestCases}{
{% for item in issues %}
  \addcontentsline{toc}{subsection}{TC-{{ item.id }} --- {{ item.title | md2tex }}}

  \begin{table}[ht]
    \centering
    \begin{tabular}{lp{0.6\linewidth}}
      \toprule
      \textbf{ID} &
                    \bfseries
                    TC-{{ item.id }} --- {{ item.title | md2tex }}
      \\ \midrule
      \textbf{Description} &
                             {{ item.content.Description | md2tex }}
      \\ \midrule
      \textbf{Sequence} &
                             {{ item.content.Sequence | md2tex }}
      \\ \midrule
      \textbf{Expected Result} &
                           {{ item.content['Expected Result'] | md2tex }}
      \\ \bottomrule
    \end{tabular}
  \end{table}
{% endfor %}
}
